*{
	margin: 0;
	padding: 0;

}

element.style{
	translate: none;
    rotate: none;
    scale: none;
    pointer-events: auto;
    opacity: 1;
    visibility: inherit;
}
.header{
	position: fixed;
    top: 0;
    left: 0;
    z-index: var(--HEADER_INDEX);
    width: 100%;
    background-color: transparent;
    mix-blend-mode: difference;
}

body {
	display: flex;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-image:url(portofolio photos/17858931976712359.jpg);
		min-height: 100vh;
}

header {
    background-color: #333;
    color: white;
    padding: 10px 0;

}


 ul {
	display: flex;
    list-style-type: center;
    text-align: center;
    padding: 0;
	background-color: #333;
    color: #fff;

}
 ul li {
    display: inline;
    margin: 0 15px;
    float: left;
}
 ul li a {
    color: white;
    text-decoration: none;
}
 a ul li a:hover {
  color: #ff6347;
}

/* 検索バーのスタイル */
.search-bar {
  display: flex; /* 横並び */
  align-items: center; /* 中央に揃える */
}

.search-bar input[type="text"] {
  padding: 10px; /* 入力欄の余白 */
  font-size: 16px; /* フォントサイズ */
  border: none; /* 枠線を消す */
  border-radius: 4px; /* 角を丸くする */
  margin-right: 10px; /* ボタンとの間隔 */
}

.search-bar button {
  background-color: #ff6347; /* ボタンの背景色 */
  color: white; /* ボタンの文字色 */
  border: none; /* 枠線を消す */
  padding: 10px 15px; /* ボタンの余白 */
  border-radius: 4px; /* 角を丸くする */
  cursor: pointer; /* クリック可能にする */
  transition: background-color 0.3s ease; /* ホバー時に色が変わる */
}

.search-bar button:hover {
  background-color: #e55347; /* ホバー時の色 */
}

.container{
	width: 100%;
	min-height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 50px 8%;
}
.gallery{
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(250px,1fr));
	gri-gap: 30px;
	}
.gallery img{

}
section {
    padding: 50px;
    margin: 20px 0;
}

#home {
    background-color: #fff;
    text-align: center;
}

#bio {

}
#portofolio {

}
.portofoliophotos {
	margin: 20px 0;
}

#works {
    background-color: #f9f9f9;
}

.project {
    margin: 20px 0;
}

#skills {

}

#forum {

}

#nhsstore{

}
#contact {
    background-color: #fff;
}

footer {
    text-align: center;
    padding: 20px;
    background-color: #333;
    color: white;
}
